! Nicomedes' conchoid
OPTION ANGLE DEGREES
DEF p(t)=sec(t)+2
SET WINDOW -4,4,-4,4
DRAW grid
FOR t=0 TO 360
   WHEN EXCEPTION IN
      LET r=p(t)
      PLOT LINES: r*cos(t),r*sin(t);
   USE
      PLOT LINES
   END WHEN
NEXT t
END